%% -*- octave -*-
%%
%%
%% C is a graph representing a Chord network of n nodes of degree d
%%
1;

function C = chord_graph(n,d,matrix_type = "default")
  if (using_sparse_matrix(n, matrix_type))
    C = speye(n);
  else
    C = zeros(n);
  endif
  A = sort(rand(n,1));
  %%C = zeros(n,n);
  for i = 1:n
    dist = 1;
    for l = 1:d
      dist = dist/2;
      k = A(i) + dist;
      if (k > 1)
	k = k - 1;
      endif
      j = find_key(A,k);
      if (i == j)
	if (i == n) 
	  j = 1;
	else
	  j = i + 1;
	endif
      endif
      C(i,j) = 1;
    endfor
    if (i == n)
      j = 1;
    else
      j = i + 1;
    endif
    C(i,j) = 1;
  endfor
endfunction

function i = find_key(A, k)
  n = size(A)(1);
  i = ceil(n*k);
  if (k < A(i))
    while (i > 1)
      i = i - 1;
      if (A(i) <= k)
	return;
      endif
    endwhile
    i = n;
  else
    while (i < n)
      if (k < A(i + 1))
	return;
      endif
      i = i + 1;
    endwhile
  endif
endfunction

