% -*- octave -*-
%
% computes the diameter of a graph given the adjacency matrix
%
% A : adjacency matrix 
%
function d = diameter(G)
  d = 1;
  n = size(G)(1);
  Gd = G|speye(n);
  while (all(all(Gd)) == 0)
    d = d + 1
    if (d > n)
      d = Inf;
      break;
    endif
    Gd = Gd * G;
  endwhile
