% -*- octave -*-
%
% this function takes an impulse response h and outputs the estimation
% of the spectral gap of the generating system
%
% paramters:
% h : vector containing the impulse response
% 
% output:
% l : 1 - lambda_2
%
function l = gap_estimate_nonzero_b_eigs(h)
  A = kung(h);
  try
  i=0;
  err=1;
  while(i<=3 & err==1)
    e = flipud(sort(abs(eigs(A,2,"lm"))))(2);
    if (e~=0)
      err=0;
      l=1-e;
    else
      i=i+1
    endif
  endwhile
  if(err==1)
    printf("3 warning in gap_estimate: use eig");
    l = 1 - flipud(sort(abs(eig(A))))(2);
  endif 
  catch
    printf("error in gap_estimate: use eig");
    l = 1 - flipud(sort(abs(eig(A))))(2);
  end_try_catch  

