%% -*- octave -*-
%%
%% this is the main function that computes the spectral gap 
%% from the impulse response 
%%
%% A : transition matrix 
%% k : length of the impulse response to use
%%
%% G : matrix where column j represents an estimate at time j\in
%% {1,3,5,...,\floor{k/2}*2+1.} Each element i in a column represents
%% the estimate of node i.
%%
function R = impulse_gap_full_timeseries(A,k)
  R = impulse_gap_full(A,k);
  R = [ linspace(1, floor((k+1)/2)*2-1, floor((k+1)/2)); R ];
  R = transpose(R);
endfunction
