%% -*- octave -*-
%%
%% this is the main function that computes the spectral gap 
%% from the impulse response 
%%
%% A : transition matrix 
%% b : initial state
%% k : length of the impulse response to use
%%
%% G : vector containing the estimates of the spectral gap for each vertex
%%
function G = impulse_gap_given_b(A,b,k=100)
  n = size(A)(1);
  A = make_col_stochastic(A);
  H = impulse_response(A,b,k);
  G = [];
  for i = 1:n
    G = [ G ; gap_estimate_nonzero_b(H(i,:)) ];
  endfor
endfunction
