%% -*- octave -*-
%%
%% this is the main function that computes the spectral gap 
%% from the impulse response 
%%
%% A : transition matrix 
%% k : length of the impulse response to use
%%
%% G : vector containing the estimates of the spectral gap for each vertex
%%
function G = impulse_gap_gossip_multi_init(A,k,m)
  n = size(A)(1);
  B = [];
  Anorm = make_col_stochastic(A);
  GG = [];
  for j = 1:m
    b = init_b_real(A);
    H = impulse_response(Anorm,b,k);
    G = [];
    for i = 1:n
      G = [ G ; gap_estimate(H(i,:)) ];
    endfor
    GG = [ GG one_round_gossip_vote(A,G) ];
  endfor
  G = median(GG, 2);
endfunction
