%% -*- octave -*-
%%
%% this is the main function that computes the spectral gap 
%% from the impulse response 
%%
%% A : transition matrix 
%% k : length of the impulse response to use
%%
%% G : vector containing the estimates of the spectral gap for each vertex
%%
function G = impulse_gap_nonzero_b_check_HM(A,k)
  n = size(A)(1);
  b = init_b_nonzero(n);
  A = metropolis_hastings(A);
  H = impulse_response(A,b,k);
  G = [];
  for i = 1:n
    g = gap_estimate_nonzero_b_check(H(i,:));
    if (g~=0)
      G = [ G ; gap_estimate_nonzero_b_check(H(i,:)) ];
    else
      G=ones(n,1);
      break;
    endif
  endfor
endfunction

