%% -*- octave -*-
%%
%% this is the main function that computes the spectral gap 
%% from the impulse response 
%%
%% A : transition matrix 
%% k : length of the impulse response to use
%%
%% G : vector containing the estimates of the spectral gap for each vertex
%%
function V = one_round_gossip_vote(A,G)
  n = size(A)(1);
  V = [];
  for i = 1:n
    Adj = find(A(i,:));
    Values = [ G(i) ];
    for j = Adj
      Values = [ Values ; G(j) ];
    endfor
    V = [ V; median(Values) ];
  endfor
endfunction
