%% -*- octave -*-
%%
%% saves a graph in Tulip's "Adjacency Matrix" format
%% 
%% A is the actual adjacency matrix, which is assumed symmetric
%%
%% V is a vector of values associated with vertexes.
%%
function save_graph(fname, A, V)
  fid = fopen(fname, "w");
  n = size(A)(1);
  for i = 1:n
    for j = 1:(i-1)
      if (A(i,j)==1 || A(j,i)==1)
	fprintf(fid, "@ ");
      else
	fprintf(fid, "# ");
      endif
    endfor      
    fprintf(fid, "%f\n", V(i));
  endfor      
  fclose (fid);
endfunction
