#!/bin/sh
ECHO=/bin/echo
if [ $# -lt 2 ]
then
        ${ECHO} "parameter error: You have $# argument(s) instead of 2."
        ${ECHO} "usage: plotResult out-file-name file1"
        exit
fi


gnuplot << EOF
#set term postscript eps enhanced "Helvetica" 22
set terminal postscript eps enhanced color "Helvetica" 22
set output "$1.eps"

set size .6,.75 
set size square
set tics scale 0
set tmargin 1
set bmargin 3
set lmargin 4
set rmargin 0
#

set multiplot
#first
set xlabel "k"
set xrange [4:120]
set ylabel "percent error"
set yrange [0:150]

plot "$2" using 1:3:2:4  with yerrorlines lw 2 pt 0 title ""

#second(zoom)

set origin 0.28,0.3
set size 0.25,0.4  
set tmargin 1
set bmargin 2
set lmargin 1
set rmargin 1
#


unset xlabel
unset ylabel
set xrange[55:130]
set xtics (60,80,100,120)
set yrange[0:10]
set xtics font "Helvetica,15" 
set ytics font "Helvetica,15"
clear
p [60:120] "$2" using 1:3:2:4 notitle  with yerrorlines lw 2 pt 0

unset multiplot
EOF

